#include<bits/stdc++.h>
using namespace std;
int a[2000000];
int main(){
	int n,k,b,c=0;
	scanf("%d%d",&n,&k);
	for(int i=0;i<n;i++)
	{
		scanf("%d",&b);
		a[b+n]++;
		if(a[b+n]==k) c++;
	}
	cout << c <<endl;
	for(int i=0;i<2*n;i++)	if(a[i]>=k)   cout << i-n << " ";
}